* Note: Replace "...PATH..." with the path to the logfile!.
GET DATA  /TYPE=TXT
  /FILE=
    "...PATH...\Hoffmann_et_al_2009_Exp1_Aggr.dat"
  /DELCASE=LINE
  /DELIMITERS="\t"
  /ARRANGEMENT=DELIMITED
  /FIRSTCASE=2
  /IMPORTCASE=ALL
  /VARIABLES=
  exper F4.0
  vp F2.0
  gr F1.0
  hand_key_mapping F4.0
  lok F1.0
  mot F1.0
  a1 F3.0
  a2 F3.0
  a3 F3.0
  a4 F3.0
  a5 F3.0
  a6 F3.0
  a7 F3.0
  a8 F3.0
  a9 F3.0
  a10 F3.0
  ma F6.0
  t1 F6.0
  t2 F6.0
  t3 F6.0
  t4 F6.0
  t5 F6.0
  rt F6.0
  fa1 F1.0
  fa2 F1.0
  fa3 F1.0
  fa4 F1.0
  fa5 F1.0
  fa6 F1.0
  fa7 F1.0
  fa8 F1.0
  fa9 F1.0
  fa10 F1.0
  fma F4.0
  ft1 F1.0
  ft2 F1.0
  ft3 F1.0
  ft4 F1.0
  ft5 F1.0
  h1 F4.0
  h2 F4.0
  h3 F4.0
  h4 F4.0.
CACHE.
EXECUTE.
DATASET NAME Hoffmann_et_al_2009_Exp1_Aggr WINDOW=FRONT.

*** Analysis 1: Replication of Elsner & Hommel, 2001 ***.
* RTs.
GLM
  t1 t2 t3 t4 t5 BY hand_key_mapping mot
  /WSFACTOR = Block 5 Polynomial
  /METHOD = SSTYPE(3)
  /PLOT = PROFILE( Block*hand_key_mapping )
  /PRINT = ETASQ
  /CRITERIA = ALPHA(.05)
  /WSDESIGN = Block
  /DESIGN = hand_key_mapping mot hand_key_mapping*mot .
* Errors.
GLM
  ft1 ft2 ft3 ft4 ft5 BY hand_key_mapping mot
  /WSFACTOR = Block 5 Polynomial
  /METHOD = SSTYPE(3)
  /PLOT = PROFILE( Block*hand_key_mapping )
  /PRINT = ETASQ
  /CRITERIA = ALPHA(.05)
  /WSDESIGN = Block
  /DESIGN = hand_key_mapping mot hand_key_mapping*mot .


*** Follow-up tests for the significant interaction.
* Hand-Key-Mapping: Non-Changed.
USE ALL.
COMPUTE sfilter=(hand_key_mapping = 1).
FORMATS sfilter (F1.0).
FILTER BY sfilter.
EXECUTE.

GLM
  t1 t2 t3 t4 t5 BY mot
  /WSFACTOR = Block 5 Polynomial
  /METHOD = SSTYPE(3)
  /PRINT = ETASQ
  /CRITERIA = ALPHA(.05)
  /WSDESIGN = Block
  /DESIGN = mot .

* Hand-Key-Mapping: Changed.
USE ALL.
COMPUTE sfilter=(hand_key_mapping = 2).
FORMATS sfilter (F1.0).
FILTER BY sfilter.
EXECUTE.

GLM
  t1 t2 t3 t4 t5 BY mot
  /WSFACTOR = Block 5 Polynomial
  /METHOD = SSTYPE(3)
  /PRINT = ETASQ
  /CRITERIA = ALPHA(.05)
  /WSDESIGN = Block
  /DESIGN = mot .





*** Analysis 2 ***.
FILTER OFF.
USE ALL.
EXECUTE .

* RTs.
GLM
  t1 t2 t3 t4 t5 BY lok mot
  /WSFACTOR = Block 5 Polynomial
  /METHOD = SSTYPE(3)
  /PLOT = PROFILE( Block*lok )
  /PRINT = ETASQ
  /CRITERIA = ALPHA(.05)
  /WSDESIGN = Block
  /DESIGN = lok mot lok*mot .

* Errors.
GLM
  ft1 ft2 ft3 ft4 ft5 BY lok mot
  /WSFACTOR = Block 5 Polynomial
  /METHOD = SSTYPE(3)
  /PLOT = PROFILE( Block*lok )
  /PRINT = ETASQ
  /CRITERIA = ALPHA(.05)
  /WSDESIGN = Block
  /DESIGN = lok mot lok*mot .




