﻿* Note: Replace "...PATH..." with the path to the logfile!.
GET DATA  /TYPE=TXT
  /FILE=
    "...PATH...\Hoffmann_et_al_2009_Exp2_Raw.dat"
  /DELCASE=LINE
  /DELIMITERS="\t"
  /ARRANGEMENT=DELIMITED
  /FIRSTCASE=2
  /IMPORTCASE=ALL
  /VARIABLES=
  Experiment F2.0
  Subject F1.0
  RE_Mapping F1.0
  Block F1.0
  Part F1.0
  PartBlock F1.0
  Trial F2.0
  TargetSound F3.0
  Resp F3.0
  Consistency F3.0
  RT F4.0
  RTTime F7.0
  Effect F1.0
  ErrType F1.0.
CACHE.
EXECUTE.
DATASET NAME Hoffmann_et_al_2009_Exp2_Raw WINDOW=FRONT.

* Recode consistency to reflect finger-based consistency rather than
* key-based consistency (see variable description).
COMPUTE Consistency_Finger = Consistency.
DO IF  ((Experiment=22)&(Part>1)).
RECODE Consistency (1=0) (0=1) (ELSE=Copy) INTO Consistency_Finger.
END IF.
EXECUTE.
FORMATS Consistency_Finger (F1.0).


*** Main analysis ***.

* Anticipations (RT < 100) and omissions (RT > 1000) were repeated in the experiment.
* That is: everybody should have exactly 100 trials after applying this filter.
COMPUTE tfilter = (RT>=100) & (RT<=1000) & (TargetSound>0) & (PartBlock>0).
EXECUTE.
FORMATS tfilter (F1.0).
FILTER BY tfilter.

DATASET DECLARE Hoffmann_et_al_2009_Aggr.
AGGREGATE
  /OUTFILE='Hoffmann_et_al_2009_Aggr'
  /BREAK=Experiment Subject Consistency_Finger
  /NTrials=N.

DATASET ACTIVATE Hoffmann_et_al_2009_Aggr.

SORT CASES BY Experiment Subject Consistency_Finger.
CASESTOVARS
  /ID=Experiment Subject
  /INDEX=Consistency_Finger
  /GROUPBY=VARIABLE.

COMPUTE pConsistent = NTrials.1 / (NTrials.0+NTrials.1) * 100.
EXECUTE.

SORT CASES BY Experiment Subject.
SPLIT FILE LAYERED BY Experiment.

DATASET ACTIVATE Hoffmann_et_al_2009_Aggr.
T-TEST
  /TESTVAL=50
  /MISSING=ANALYSIS
  /VARIABLES=pConsistent
  /CRITERIA=CI(.95).

SPLIT FILE OFF.

T-TEST GROUPS=Experiment(21 22)
  /MISSING=ANALYSIS
  /VARIABLES=pConsistent
  /CRITERIA=CI(.95).



*** Exploratory analysis ***.
*.
* Question: What happens when strategic choices (pConsistent > 75) 
* are eliminated? (Conducted following discussions with Lisa Weller, 
* Winter 2016/17).
COMPUTE sfilter = (pConsistent <=75) & (pConsistent >= 25).
EXECUTE.
FORMATS sfilter (F1.0).
FILTER BY sfilter.

SORT CASES BY Experiment Subject.
SPLIT FILE LAYERED BY Experiment.

DATASET ACTIVATE Hoffmann_et_al_2009_Aggr.
T-TEST
  /TESTVAL=50
  /MISSING=ANALYSIS
  /VARIABLES=pConsistent
  /CRITERIA=CI(.95).

SPLIT FILE OFF.

T-TEST GROUPS=Experiment(21 22)
  /MISSING=ANALYSIS
  /VARIABLES=pConsistent
  /CRITERIA=CI(.95).

* >> Results replicate. Yay.
* Interestingly, strategic choices only occured in the group with constant
* hand-key mapping. Could be theoretically meaningful [On top, this 
* applies to the first three participants that have been tested. Is this 
* positioning coincidence or were there issues with the instructions?
* Hard to say...].
* Final thought on this matter: Removing these participants reduced the
* variance in the constant mapping group. This actually helps the
* between-groups comparison.
